Bug 695213 - Marble Crash when zooming in
Marble Crash when zooming in
Status: VERIFIED FIXED
Classification: openSUSE
Product: openSUSE 11.4
Classification: openSUSE
Component: KDE4 Applications
Final
x86-64 openSUSE 11.4
: P5 - None : Critical (vote)
: ---
Assigned To: Christian Trippe
E-mail List
.
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-20 17:51 UTC by Taco Fortgens
Modified: 2011-08-23 12:01 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Taco Fortgens 2011-05-20 17:51:03 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:2.0.1) Gecko/20100101 Firefox/4.0.1

Application: marble (1.0.0 (Stable Release))
KDE Platform Version: 4.6.00 (4.6.0) "release 6"
Qt Version: 4.7.1
Operating System: Linux 2.6.37.6-0.5-desktop x86_64
Distribution: "openSUSE 11.4 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:
I was zooming in to the Netherlands and it poofed, tried to do it again and
crash again, so its everytime reproducable

The crash can be reproduced every time.

-- Backtrace:
Application: Marble Virtual Globe (marble), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f4434362760 (LWP 12538))]

Thread 5 (Thread 0x7f4422126700 (LWP 12539)):
#0  0x00007f44301ea0ae in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007f442b4d9876 in g_main_context_check () from /lib64/libglib-2.0.so.0
#2  0x00007f442b4da132 in ?? () from /lib64/libglib-2.0.so.0
#3  0x00007f442b4da650 in g_main_context_iteration () from
/lib64/libglib-2.0.so.0
#4  0x00007f4432591976 in QEventDispatcherGlib::processEvents (this=0x7f40d0,
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f4432566052 in QEventLoop::processEvents (this=<value optimized
out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f4432566265 in QEventLoop::exec (this=0x7f4422125de0, flags=...) at
kernel/qeventloop.cpp:201
#7  0x00007f443247b1e4 in QThread::exec (this=<value optimized out>) at
thread/qthread.cpp:490
#8  0x00007f4432547968 in QInotifyFileSystemWatcherEngine::run (this=0x7de650)
at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f443247da5e in QThreadPrivate::start (arg=0x7de650) at
thread/qthread_unix.cpp:285
#10 0x00007f44301e7a3f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f4430ea567d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f441a340700 (LWP 12540)):
#0  0x00007f4430e9c503 in poll () from /lib64/libc.so.6
#1  0x00007f442b4da114 in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007f442b4da650 in g_main_context_iteration () from
/lib64/libglib-2.0.so.0
#3  0x00007f4432591976 in QEventDispatcherGlib::processEvents (this=0xa7d5f0,
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f4432566052 in QEventLoop::processEvents (this=<value optimized
out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f4432566265 in QEventLoop::exec (this=0x7f441a33fde0, flags=...) at
kernel/qeventloop.cpp:201
#6  0x00007f443247b1e4 in QThread::exec (this=<value optimized out>) at
thread/qthread.cpp:490
#7  0x00007f4432547968 in QInotifyFileSystemWatcherEngine::run (this=0xa786c0)
at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f443247da5e in QThreadPrivate::start (arg=0xa786c0) at
thread/qthread_unix.cpp:285
#9  0x00007f44301e7a3f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f4430ea567d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f4419b3f700 (LWP 12541)):
#0  0x00007f44301ea0a4 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007f442b4d90b6 in g_main_context_prepare () from
/lib64/libglib-2.0.so.0
#2  0x00007f442b4d9fa9 in ?? () from /lib64/libglib-2.0.so.0
#3  0x00007f442b4da650 in g_main_context_iteration () from
/lib64/libglib-2.0.so.0
#4  0x00007f4432591976 in QEventDispatcherGlib::processEvents (this=0xa80ff0,
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f4432566052 in QEventLoop::processEvents (this=<value optimized
out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f4432566265 in QEventLoop::exec (this=0x7f4419b3ede0, flags=...) at
kernel/qeventloop.cpp:201
#7  0x00007f443247b1e4 in QThread::exec (this=<value optimized out>) at
thread/qthread.cpp:490
#8  0x00007f4432547968 in QInotifyFileSystemWatcherEngine::run (this=0xa97370)
at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f443247da5e in QThreadPrivate::start (arg=0xa97370) at
thread/qthread_unix.cpp:285
#10 0x00007f44301e7a3f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f4430ea567d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f441733a700 (LWP 12548)):
#0  0x00007f4432463220 in pthread_getspecific@plt () from
/usr/lib64/libQtCore.so.4
#1  0x00007f443247db21 in QThreadData::current () at
thread/qthread_unix.cpp:163
#2  0x00007f44325913e9 in postEventSourcePrepare (s=0xbf3780, timeout=0x0) at
kernel/qeventdispatcher_glib.cpp:254
#3  0x00007f442b4d984c in g_main_context_check () from /lib64/libglib-2.0.so.0
#4  0x00007f442b4da132 in ?? () from /lib64/libglib-2.0.so.0
#5  0x00007f442b4da650 in g_main_context_iteration () from
/lib64/libglib-2.0.so.0
#6  0x00007f4432591976 in QEventDispatcherGlib::processEvents (this=0xb53440,
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#7  0x00007f4432566052 in QEventLoop::processEvents (this=<value optimized
out>, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f4432566265 in QEventLoop::exec (this=0x7f4417339dd0, flags=...) at
kernel/qeventloop.cpp:201
#9  0x00007f443247b1e4 in QThread::exec (this=<value optimized out>) at
thread/qthread.cpp:490
#10 0x00007f44339aca48 in Marble::FileStorageWatcher::run (this=0x7cad50) at
/usr/src/debug/kdeedu-4.6.0/marble/src/lib/FileStorageWatcher.cpp:401
#11 0x00007f443247da5e in QThreadPrivate::start (arg=0x7cad50) at
thread/qthread_unix.cpp:285
#12 0x00007f44301e7a3f in start_thread () from /lib64/libpthread.so.0
#13 0x00007f4430ea567d in clone () from /lib64/libc.so.6
#14 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f4434362760 (LWP 12538)):
[KCrash Handler]
#6  0x00007f44339a1f43 in Marble::AbstractScanlineTextureMapper::pixelValueF
(this=0xab5240, lon=<value optimized out>, lat=<value optimized out>,
scanLine=0x7f441629a010) at
/usr/src/debug/kdeedu-4.6.0/marble/src/lib/AbstractScanlineTextureMapper.cpp:130
#7  0x00007f44339a300d in Marble::SphericalScanlineTextureMapper::mapTexture
(this=0xab5240, viewParams=0x7ca938, texColorizer=0xb08c50) at
/usr/src/debug/kdeedu-4.6.0/marble/src/lib/SphericalScanlineTextureMapper.cpp:233
#8  0x00007f44339a32c2 in Marble::SphericalScanlineTextureMapper::mapTexture
(this=0xab5240, painter=0x7fffa67cd7d0, viewParams=0x7ca938, dirtyRect=...,
texColorizer=<value optimized out>) at
/usr/src/debug/kdeedu-4.6.0/marble/src/lib/SphericalScanlineTextureMapper.cpp:51
#9  0x00007f443391de04 in Marble::MarbleMapPrivate::paintGround (this=0x7ca920,
painter=..., dirtyRect=...) at
/usr/src/debug/kdeedu-4.6.0/marble/src/lib/MarbleMap.cpp:188
#10 0x00007f4433910749 in Marble::MarbleWidget::paintEvent (this=0x82ae70,
evt=0x7fffa67ce0b0) at
/usr/src/debug/kdeedu-4.6.0/marble/src/lib/MarbleWidget.cpp:805
#11 0x00007f44319844ea in QWidget::event (this=0x82ae70, event=0x7fffa67ce0b0)
at kernel/qwidget.cpp:8346
#12 0x00007f4431932d14 in QApplicationPrivate::notify_helper (this=0x6b8950,
receiver=0x82ae70, e=0x7fffa67ce0b0) at kernel/qapplication.cpp:4445
#13 0x00007f443193b22a in QApplication::notify (this=<value optimized out>,
receiver=0x82ae70, e=0x7fffa67ce0b0) at kernel/qapplication.cpp:4324
#14 0x00007f4432ec79e6 in KApplication::notify (this=0x7fffa67d09e0,
receiver=0x82ae70, event=0x7fffa67ce0b0) at
/usr/src/debug/kdelibs-4.6.0/kdeui/kernel/kapplication.cpp:311
#15 0x00007f4432566bfc in QCoreApplication::notifyInternal
(this=0x7fffa67d09e0, receiver=0x82ae70, event=0x7fffa67ce0b0) at
kernel/qcoreapplication.cpp:732
#16 0x00007f44319813b2 in sendSpontaneousEvent (this=0x7d22d0, pdev=0xa91ba8,
rgn=..., offset=..., flags=68, sharedPainter=0x0, backingStore=0x8d7dd0) at
../../src/corelib/kernel/qcoreapplication.h:218
#17 QWidgetPrivate::drawWidget (this=0x7d22d0, pdev=0xa91ba8, rgn=...,
offset=..., flags=68, sharedPainter=0x0, backingStore=0x8d7dd0) at
kernel/qwidget.cpp:5433
#18 0x00007f4431b44138 in QWidgetBackingStore::sync (this=0x8d7dd0) at
painting/qbackingstore.cpp:1325
#19 0x00007f4431977170 in QWidgetPrivate::syncBackingStore (this=0x77b650) at
kernel/qwidget.cpp:1816
#20 0x00007f44319849f2 in QWidget::event (this=0x77b510, event=0x7fffa67cf050)
at kernel/qwidget.cpp:8493
#21 0x00007f4431d4247b in QMainWindow::event (this=0x77b510,
event=0x7fffa67cf050) at widgets/qmainwindow.cpp:1478
#22 0x00007f4432f70793 in KXmlGuiWindow::event (this=0x77b510,
ev=0x7fffa67cf050) at
/usr/src/debug/kdelibs-4.6.0/kdeui/xmlgui/kxmlguiwindow.cpp:126
#23 0x00007f4431932d14 in QApplicationPrivate::notify_helper (this=0x6b8950,
receiver=0x77b510, e=0x7fffa67cf050) at kernel/qapplication.cpp:4445
#24 0x00007f443193b22a in QApplication::notify (this=<value optimized out>,
receiver=0x77b510, e=0x7fffa67cf050) at kernel/qapplication.cpp:4324
#25 0x00007f4432ec79e6 in KApplication::notify (this=0x7fffa67d09e0,
receiver=0x77b510, event=0x7fffa67cf050) at
/usr/src/debug/kdelibs-4.6.0/kdeui/kernel/kapplication.cpp:311
#26 0x00007f4432566bfc in QCoreApplication::notifyInternal
(this=0x7fffa67d09e0, receiver=0x77b510, event=0x7fffa67cf050) at
kernel/qcoreapplication.cpp:732
#27 0x00007f4431b40cb9 in sendEvent (this=0x8d7dd0, rect=<value optimized out>,
widget=<value optimized out>, updateImmediately=true, invalidateBuffer=<value
optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:215
#28 sendUpdateRequest (this=0x8d7dd0, rect=<value optimized out>, widget=<value
optimized out>, updateImmediately=true, invalidateBuffer=<value optimized out>)
at painting/qbackingstore.cpp:507
#29 QWidgetBackingStore::markDirty (this=0x8d7dd0, rect=<value optimized out>,
widget=<value optimized out>, updateImmediately=true, invalidateBuffer=<value
optimized out>) at painting/qbackingstore.cpp:695
#30 0x00007f44319769d8 in QWidget::repaint (this=0x82ae70, rect=...) at
kernel/qwidget.cpp:10250
#31 0x00007f4431976a93 in QWidget::repaint (this=<value optimized out>) at
kernel/qwidget.cpp:10206
#32 0x00007f4433912898 in repaint (this=<value optimized out>, newLookAt=<value
optimized out>, mode=<value optimized out>) at
/usr/src/debug/kdeedu-4.6.0/marble/src/lib/MarbleWidget.cpp:272
#33 Marble::MarbleWidget::flyTo (this=<value optimized out>, newLookAt=<value
optimized out>, mode=<value optimized out>) at
/usr/src/debug/kdeedu-4.6.0/marble/src/lib/MarbleWidget.cpp:1316
#34 0x00007f443393617c in
Marble::MarbleWidgetDefaultInputHandler::Private::ZoomAt (this=<value optimized
out>, marbleWidget=0x82ae70, pos=<value optimized out>,
newDistance=575.76286887758329) at
/usr/src/debug/kdeedu-4.6.0/marble/src/lib/MarbleWidgetInputHandler.cpp:271
#35 0x00007f443393771e in Marble::MarbleWidgetDefaultInputHandler::eventFilter
(this=0x96e820, o=<value optimized out>, e=0x7fffa67cfb40) at
/usr/src/debug/kdeedu-4.6.0/marble/src/lib/MarbleWidgetInputHandler.cpp:738
#36 0x00007f4432566d87 in
QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized
out>, receiver=0x82ae70, event=0x7fffa67cfb40) at
kernel/qcoreapplication.cpp:847
#37 0x00007f4431932ce1 in QApplicationPrivate::notify_helper (this=0x6b8950,
receiver=0x82ae70, e=0x7fffa67cfb40) at kernel/qapplication.cpp:4441
#38 0x00007f443193b656 in QApplication::notify (this=<value optimized out>,
receiver=0x82ae70, e=0x7fffa67cfb40) at kernel/qapplication.cpp:4061
#39 0x00007f4432ec79e6 in KApplication::notify (this=0x7fffa67d09e0,
receiver=0x82ae70, event=0x7fffa67cfb40) at
/usr/src/debug/kdelibs-4.6.0/kdeui/kernel/kapplication.cpp:311
#40 0x00007f4432566bfc in QCoreApplication::notifyInternal
(this=0x7fffa67d09e0, receiver=0x82ae70, event=0x7fffa67cfb40) at
kernel/qcoreapplication.cpp:732
#41 0x00007f44319a0225 in sendSpontaneousEvent (this=<value optimized out>,
global_x=<value optimized out>, global_y=<value optimized out>, delta=120,
buttons=..., modifiers=..., orient=Qt::Vertical) at
../../src/corelib/kernel/qcoreapplication.h:218
#42 QETWidget::translateWheelEvent (this=<value optimized out>, global_x=<value
optimized out>, global_y=<value optimized out>, delta=120, buttons=...,
modifiers=..., orient=Qt::Vertical) at kernel/qapplication_x11.cpp:4476
#43 0x00007f44319b1acd in QETWidget::translateMouseEvent (this=0x77d510,
event=0x7fffa67d0610) at kernel/qapplication_x11.cpp:4253
#44 0x00007f44319b04c9 in QApplication::x11ProcessEvent (this=0x7fffa67d09e0,
event=0x7fffa67d0610) at kernel/qapplication_x11.cpp:3564
#45 0x00007f44319d80f2 in x11EventSourceDispatch (s=0x6b3d60, callback=0,
user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#46 0x00007f442b4d9bd3 in g_main_context_dispatch () from
/lib64/libglib-2.0.so.0
#47 0x00007f442b4da3b0 in ?? () from /lib64/libglib-2.0.so.0
#48 0x00007f442b4da650 in g_main_context_iteration () from
/lib64/libglib-2.0.so.0
#49 0x00007f443259191f in QEventDispatcherGlib::processEvents (this=0x69cc30,
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#50 0x00007f44319d7d8e in QGuiEventDispatcherGlib::processEvents (this=<value
optimized out>, flags=<value optimized out>) at
kernel/qguieventdispatcher_glib.cpp:204
#51 0x00007f4432566052 in QEventLoop::processEvents (this=<value optimized
out>, flags=...) at kernel/qeventloop.cpp:149
#52 0x00007f4432566265 in QEventLoop::exec (this=0x7fffa67d0930, flags=...) at
kernel/qeventloop.cpp:201
#53 0x00007f443256a6ab in QCoreApplication::exec () at
kernel/qcoreapplication.cpp:1009
#54 0x0000000000421725 in main (argc=1, argv=0x7fffa67d1fe8) at
/usr/src/debug/kdeedu-4.6.0/marble/src/kdemain.cpp:351

Reproducible: Always

Steps to Reproduce:
1. Open Marble
2. zoom In
3. Crash
Actual Results:  
Crashed and generates a backtrace..

Expected Results:  
zoom in normally and keep its functionality without a crash
Comment 1 Christian Trippe 2011-05-21 17:59:57 UTC
Have you reported this already upstream, or did DrKonqi point you to an already existing upstream bug report?
Comment 2 Taco Fortgens 2011-05-21 18:05:29 UTC
Yes its already reported, they say its fixed in 1.0.4 of marble, but I see were are still stuck on 1.0.0 which still has the bug, so I was wondering if we get the fix released in the updates..

See the following link from the bug report I reported... 
https://bugs.kde.org/show_bug.cgi?id=273747
Comment 3 Christian Trippe 2011-05-22 06:22:01 UTC
Can you try marble from http://download.opensuse.org/repositories/home:/christiantrippe:/branches:/KDE:/Distro:/Stable/openSUSE_11.4 and test if it fixes the crash for you?

Please also note the checkbox "This comment provides the needed information..." below the comment field. Thanks!
Comment 4 Taco Fortgens 2011-05-22 08:33:28 UTC
I have to add some side notes... when I upgraded, it still crashed...
BUT I went to Settings > configure Marble.. and set it everything to default settings, and all worked again... tried every quality setting and it didn't crash anymore and tinkered with settings and no crash anymore!!!

I restarted and strssed the program a bit restarting , settings zooming no more crashes!
Comment 5 Taco Fortgens 2011-05-22 08:34:13 UTC
I want to thank you so much for the fix I love the program.. A real free g**** earth :D
Comment 6 Taco Fortgens 2011-05-22 08:40:32 UTC
From my side this may set it to resolved unless you want more info from my side..
Comment 7 Taco Fortgens 2011-05-22 08:46:53 UTC
yes its fixed and found the checkbox
Comment 8 Christian Trippe 2011-05-22 17:06:44 UTC
Setting Needinfo to maintenance team to ask for an update and taking wstephenson into CC to make sure he is also fine with an update.

Additional info for wstephenson: As you said you plan an update to KDE 4.6.x: This patch is not in 4.6.3 AFAIK.
Comment 9 Christian Dengler 2011-05-23 14:15:28 UTC
Will,
what is your opinion here?
Comment 10 Christian Trippe 2011-08-10 10:22:01 UTC
As Will is on parental leave, let's ask Dirk.
Comment 11 Swamp Workflow Management 2011-08-12 11:58:12 UTC
The SWAMPID for this issue is 42623.
This issue was rated as low.
Please submit fixed packages until 2011-09-09.
Also create a patchinfo file using this link:
https://swamp.suse.de/webswamp/wf/42623
Comment 12 Dirk Mueller 2011-08-12 11:59:14 UTC
looks good, please submit it to KDE:Distro:Stable and I'll take it up from there.
Comment 13 Bernhard Wiedemann 2011-08-14 15:32:15 UTC
This is an autogenerated message for OBS integration:
This bug (695213) was mentioned in
https://build.opensuse.org/request/show/78699 11.4 / kdeedu4
Comment 14 Larry Finger 2011-08-20 22:27:53 UTC
I tested the version of marble in 12.1 MS4. With it, I could zoom to the maximum on The Netherlands. It appears that the problem is fixed in 12.1.
Comment 15 Christian Dengler 2011-08-23 12:00:35 UTC
update released
Comment 16 Swamp Workflow Management 2011-08-23 12:01:17 UTC
Update released for: blinken, blinken-debuginfo, cantor, cantor-debuginfo, kalgebra, kalgebra-debuginfo, kalzium, kalzium-debuginfo, kanagram, kanagram-debuginfo, kbruch, kbruch-debuginfo, kdeedu4, kdeedu4-debugsource, kgeography, kgeography-debuginfo, khangman, khangman-debuginfo, kig, kig-debuginfo, kiten, kiten-debuginfo, klettres, klettres-debuginfo, kmplot, kmplot-debuginfo, kstars, kstars-debuginfo, ktouch, ktouch-debuginfo, kturtle, kturtle-debuginfo, kwordquiz, kwordquiz-debuginfo, libSatLib4, libSatLib4-debuginfo, libkdeedu4, libkdeedu4-debuginfo, libkdeedu4-devel, marble, marble-debuginfo, marble-devel, parley, parley-debuginfo, rocs, rocs-debuginfo, rocs-devel, step, step-debuginfo
Products:
openSUSE 11.4 (debug, i586, x86_64)